<?php

namespace Drupal\azure_oauth_sso;

trait BaseOAuth {
  protected $config;
  protected $language;
  protected $host;
  protected $client_id;
  protected $ad_tenant;
  protected $client_secret;
  protected $redirect_uri;

  protected function getClientId() {
    $this->config = \Drupal::config('azure_oauth_sso_config.settings');
    return $this->config->get('client_id');
  }

  protected function getAdTenant() {
    $this->config = \Drupal::config('azure_oauth_sso_config.settings');
    return $this->config->get('ad_tenant');
  }

  protected function getClientSecret() {
    $this->config = \Drupal::config('azure_oauth_sso_config.settings');
    return $this->config->get('client_secret');
  }

  protected function getRedirectUri() {
    $this->language = \Drupal::languageManager()->getCurrentLanguage()->getId();
    $this->host = \Drupal::requestStack()->getCurrentRequest()->getSchemeAndHttpHost();
    $this->redirect_uri = $this->host . '/' . $this->language . '/oauth/login';
    return $this->host . '/' . $this->language . '/oauth/login';
  }
}
